https://codeforces.me/contest/4/submission/174376175
My code:Check if sumtime is in $$$[minsum,maxsum]$$$,minsum is the sum of all the $$$mintime$$$ and maxsum is the sum of all the $$$maxtime$$$.Then greedy for the solution.
https://codeforces.me/contest/4/submission/174376175
My code:Check if sumtime is in $$$[minsum,maxsum]$$$,minsum is the sum of all the $$$mintime$$$ and maxsum is the sum of all the $$$maxtime$$$.Then greedy for the solution.
| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | Kevin114514 | 3659 |
| 3 | jiangly | 3640 |
| 4 | turmax | 3450 |
| 5 | tourist | 3408 |
| 6 | strapple | 3360 |
| 7 | Um_nik | 3354 |
| 8 | squareOf105 | 3348 |
| 9 | maroonrk | 3312 |
| 10 | idontwannadothis…e | 3191 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 155 |
| 2 | nik_exists | 151 |
| 3 | maspy | 149 |
| 4 | AmShZ | 145 |
| 5 | Um_nik | 143 |
| 6 | Errichto | 139 |
| 7 | BledDest | 136 |
| 8 | adamant | 134 |
| 9 | maroonrk | 132 |
| 10 | cry | 130 |
| Name |
|---|



Not sure if greedy is applicable here, though I solved it with knapsack-like dp. Could you elaborate on your solution?
you are so close my guy. I took your code and only changed one thing. This is my submission: https://codeforces.me/contest/4/submission/178599913
can you spot what i noticed?
your first if condition in the while loop
`
when you update sumtime
you set sumtime to suntime — (maxtime[j] + mintime[j]) — why do you do this? The correct thing to do is to set sumtime to sumtime — (maxtime[j] — mintime[j]) — this is because at the start you have already taken away mintime[j] from sumtime, therefore, using maxtime[j] hours on the jth day means that you only have to takeaway (maxtime[j]-mintime[j]) more hours from sumtime.
hope this helps